#include <stdio.h>
#include <stdlib.h>
#include <time.h>

/* function prototypes */
void moveTortoise( int *turtlePtr );
void moveHare( int *rabbitPtr );
void printCurrentPositions( int *snapperPtr, int *bunnyPtr );

int main()
{ 
   int tortoise = 1; /* tortoise current position */
   int hare = 1;     /* hare current position */      
   int timer = 0;    /* time elapsed during race */

   srand( time( NULL ) );

   printf( "ON YOUR MARK, GET SET\n" );
   printf( "BANG               !!!!\n" );
   printf( "AND THEY'RE OFF    !!!!\n" );
   
   /* loop through the events */
   while ( tortoise != 70 && hare != 70 ) {    
      moveTortoise( &tortoise );
      moveHare( &hare );
      printCurrentPositions( &tortoise, &hare );
      ++timer;
   } /* end while */

   /* determine the winner and print message */
   if ( tortoise >= hare ) {
      printf( "\nTORTOISE WINS!!! YAY!!!\n" );
   } /* end if */
   else {
      printf( "Hare wins. Yuch.\n" );
   } /* end else */

   printf( "TIME ELAPSED = %d seconds", timer );

   return 0; /* indicate successful termination */

} /* end main */

/* progress for the tortoise */
void moveTortoise( int *turtlePtr )
{ 
} /* end function moveTortoise */

/* progress for the hare */
void moveHare( int *rabbitPtr )
{ 
} /* end function moveHare */

/* display new position */
void printCurrentPositions( int *snapperPtr, int *bunnyPtr )
{ 
   int count; /* counter */
   
   /* loop through race */
   for ( count = 1; count <= 70; count++ ) 

      /* print current leader */
      if ( count == *snapperPtr && count == *bunnyPtr ) {
         printf( "OUCH!!!" );
      } /* end if */
      else if ( count == *bunnyPtr ) {
         printf( "H" );
      } /* end else if */
      else if ( count == *snapperPtr ) {
         printf( "T" );
      } /* end else if */
      else {
         printf( " " );
      } /* end else */

   printf( "\n" );
} /* end function printCurrentPositions */
